Subject: [Ntp] WG Call for Adoption: draft-stenn-ntp-extension-fields

From: [email-masked]
Date: Fri, 27 Jul 2018 10:16:00 +0200

(Re-sending because it did not appear to work from my private account)

The draft under discussion aspires to be a cleanup job of a cleanup job (the latter being RFC7822) and therefore to deprecate a standards track document.

From my point of view, this puts it under a high burden of proof for its own necessity and an even higher burden of proof regarding its sufficiency.

Necessity: The only major motivation for the draft under discussion that I know of is that it would retcon mechanisms that one single implementation has been using traditionally as standard. That, from my point of view, is but a minor benefit to the set of standard documents as such.

Sufficiency: I find parts of this draft very confusingly written (specifically the parts about MAC-EF interactions [some of which are not in the section so named but in the EF field format section], and those about flag bits -- and autokey is mentioned often enough to imply it is of enormous relevance) The draft also seems to be less watchful than RFC7822 for inconsistencies inside the set of written standards and seems fine with brushing them of - e.g., the draft frames parsing ambiguity as an acceptable problem to solve on implementation level, which I disagree with.

I am not convinced that these issues could be much improved by WG discussion - I don't see benefit in adopting it.

Kristof